# Functor DGraphView.Make

    module Make: functor (V : Sig.HASHABLE) -> functor (E : Sig.HASHABLE) -> functor (C : Sig.HASHABLE) -> S  with type vertex = V.t and type edge = E.t and type cluster = C.t

Parameters:

`V` | : | `Sig.HASHABLE`
`E` | : | `Sig.HASHABLE`
`C` | : | `Sig.HASHABLE`

    type vertex

    type edge

    type cluster

    val view : ?aa:bool ->
           ?delay_node:(vertex -> bool) ->
           ?delay_edge:(edge -> bool) ->
           ?delay_cluster:(cluster -> bool) ->
           ?border_width:int ->
           ?width:int ->
           ?height:int ->
           ?packing:(GObj.widget -> unit) ->
           ?show:bool ->
           (vertex, edge, cluster)
           DGraphModel.abstract_model ->
           (vertex, edge, cluster)
           DGraphView.view

View as a Gnome Canvas. Support zooming and scrolling.